curl -X GET https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10 \
-H "Authorization: Bearer <accessToken>" \
-H "X-API-Version: 1.2"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10", {
method: "GET",
headers: {
Authorization: "Bearer <accessToken>",
"X-API-Version": "1.2",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10",
headers={
"Authorization": "Bearer <accessToken>",
"X-API-Version": "1.2",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <accessToken>"
request["X-API-Version"] = "1.2"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <accessToken>",
"X-API-Version: 1.2",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10"))
.header("Authorization", "Bearer <accessToken>")
.header("X-API-Version", "1.2")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <accessToken>")
req.Header.Set("X-API-Version", "1.2")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<accessToken>");
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"success": true,
"message": "Transactions fetched successfully!",
"data": {
"transactions": [
{
"id": 10118,
"source": "airwallex",
"source_id": "DR_tr_hUv3yYgNM2O2mY-Qx54yYg",
"direction": "debit",
"amount": "-440.00",
"captured_amount": null,
"type": "TRANSFER",
"currency": "AUD",
"merchant": "ALLIED HEALTH",
"status": "SETTLED",
"occurred_at": "2026-10-14T05:07:00.000Z",
"reference": "Transfer from ALLIED HEALTH LOCUMS PTY LTD(acct_m2lZXceGPsqQBhUbVV_oPA)",
"raw": {
"id": "01a138ce-83a3-7187-83cd-1f1f6bca7220",
"fee": 0,
"amount": -440,
"source": "tr_hUv3yYgNM2O2mY-Qx54yYg",
"balance": 1673958.22,
"currency": "AUD",
"posted_at": "2026-10-14T13:07:00+0800",
"description": "Transfer from ALLIED HEALTH LOCUMS PTY LTD(acct_m2lZXceGPsqQBhUbVV_oPA)",
"source_type": "TRANSFER",
"account_type": "cash",
"transaction_type": "DC_DEBIT"
}
},
{
"id": 9779,
"source": "airwallex",
"source_id": "5bbc2c03-9794-459c-8e24-a3e3607cf00a",
"direction": "debit",
"amount": "500000.00",
"captured_amount": null,
"type": "LOCAL",
"currency": "AUD",
"merchant": "Jane Smith",
"status": "PROCESSING",
"occurred_at": "2026-10-09T11:38:28.000Z",
"reference": "test",
"raw": {
"id": "5bbc2c03-9794-459c-8e24-a3e3607cf00a",
"payer": {
"address": {
"city": "Melbourne",
"state": "VIC",
"postcode": "6001",
"country_code": "AU",
"street_address": "123, Melbourne"
},
"entity_type": "COMPANY",
"company_name": "MEGAMIND CREATIONS AUSTRALIA PTY LTD"
},
"status": "PROCESSING",
"funding": {
"status": "FUNDED"
},
"reference": "test",
"created_at": "2026-10-09T11:38:28+0000",
"beneficiary": {
"entity_type": "PERSONAL",
"bank_details": {
"bank_name": "Commonwealth Bank of Australia",
"account_name": "Jane Smith",
"account_number": "12345678",
"account_currency": "AUD",
"bank_country_code": "AU",
"account_routing_type1": "bsb",
"local_clearing_system": "BANK_TRANSFER",
"account_routing_value1": "065163"
}
},
"source_amount": 500000,
"source_currency": "AUD",
"transfer_amount": 500000,
"transfer_method": "LOCAL",
"transfer_currency": "AUD",
"amount_beneficiary_receives": 500000
}
},
{
"id": 9773,
"source": "airwallex",
"source_id": "int_sgpvtbx4fhn1p15nm2a_154yrh",
"direction": "credit",
"amount": "0.00",
"captured_amount": null,
"type": "CARD_PAYMENT",
"currency": "AUD",
"merchant": "cus_hkdmgcfzjhhmn1t6osi",
"status": "REQUIRES_PAYMENT_METHOD",
"occurred_at": "2026-10-09T09:20:44.000Z",
"reference": "fcd0378d-1716-4aee-81c8-75eb65ea50e8",
"raw": {
"id": "int_sgpvtbx4fhn1p15nm2a_154yrh",
"amount": 0,
"status": "REQUIRES_PAYMENT_METHOD",
"currency": "AUD",
"customer_id": "cus_hkdmgcfzjhhmn1t6osi",
"merchant_order_id": "fcd0378d-1716-4aee-81c8-75eb65ea50e8"
}
}
]
},
"summary": {
"all": 357,
"credit": 328,
"debit": 29
},
"pagination": {
"current_page": 1,
"page_size": 10,
"total_count": 357,
"total_pages": 36
}
}
Partner account
Get connected account transactions
Retrieves a paginated ledger of financial transactions (both debits and credits) for a specific connected account within a given date range. Each transaction record includes amount, currency, counterparty merchant, settlement status,…
GET
/
connected-account
/
{account_id}
/
transactions
curl -X GET https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10 \
-H "Authorization: Bearer <accessToken>" \
-H "X-API-Version: 1.2"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10", {
method: "GET",
headers: {
Authorization: "Bearer <accessToken>",
"X-API-Version": "1.2",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10",
headers={
"Authorization": "Bearer <accessToken>",
"X-API-Version": "1.2",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <accessToken>"
request["X-API-Version"] = "1.2"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <accessToken>",
"X-API-Version: 1.2",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10"))
.header("Authorization", "Bearer <accessToken>")
.header("X-API-Version", "1.2")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <accessToken>")
req.Header.Set("X-API-Version", "1.2")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<accessToken>");
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"success": true,
"message": "Transactions fetched successfully!",
"data": {
"transactions": [
{
"id": 10118,
"source": "airwallex",
"source_id": "DR_tr_hUv3yYgNM2O2mY-Qx54yYg",
"direction": "debit",
"amount": "-440.00",
"captured_amount": null,
"type": "TRANSFER",
"currency": "AUD",
"merchant": "ALLIED HEALTH",
"status": "SETTLED",
"occurred_at": "2026-10-14T05:07:00.000Z",
"reference": "Transfer from ALLIED HEALTH LOCUMS PTY LTD(acct_m2lZXceGPsqQBhUbVV_oPA)",
"raw": {
"id": "01a138ce-83a3-7187-83cd-1f1f6bca7220",
"fee": 0,
"amount": -440,
"source": "tr_hUv3yYgNM2O2mY-Qx54yYg",
"balance": 1673958.22,
"currency": "AUD",
"posted_at": "2026-10-14T13:07:00+0800",
"description": "Transfer from ALLIED HEALTH LOCUMS PTY LTD(acct_m2lZXceGPsqQBhUbVV_oPA)",
"source_type": "TRANSFER",
"account_type": "cash",
"transaction_type": "DC_DEBIT"
}
},
{
"id": 9779,
"source": "airwallex",
"source_id": "5bbc2c03-9794-459c-8e24-a3e3607cf00a",
"direction": "debit",
"amount": "500000.00",
"captured_amount": null,
"type": "LOCAL",
"currency": "AUD",
"merchant": "Jane Smith",
"status": "PROCESSING",
"occurred_at": "2026-10-09T11:38:28.000Z",
"reference": "test",
"raw": {
"id": "5bbc2c03-9794-459c-8e24-a3e3607cf00a",
"payer": {
"address": {
"city": "Melbourne",
"state": "VIC",
"postcode": "6001",
"country_code": "AU",
"street_address": "123, Melbourne"
},
"entity_type": "COMPANY",
"company_name": "MEGAMIND CREATIONS AUSTRALIA PTY LTD"
},
"status": "PROCESSING",
"funding": {
"status": "FUNDED"
},
"reference": "test",
"created_at": "2026-10-09T11:38:28+0000",
"beneficiary": {
"entity_type": "PERSONAL",
"bank_details": {
"bank_name": "Commonwealth Bank of Australia",
"account_name": "Jane Smith",
"account_number": "12345678",
"account_currency": "AUD",
"bank_country_code": "AU",
"account_routing_type1": "bsb",
"local_clearing_system": "BANK_TRANSFER",
"account_routing_value1": "065163"
}
},
"source_amount": 500000,
"source_currency": "AUD",
"transfer_amount": 500000,
"transfer_method": "LOCAL",
"transfer_currency": "AUD",
"amount_beneficiary_receives": 500000
}
},
{
"id": 9773,
"source": "airwallex",
"source_id": "int_sgpvtbx4fhn1p15nm2a_154yrh",
"direction": "credit",
"amount": "0.00",
"captured_amount": null,
"type": "CARD_PAYMENT",
"currency": "AUD",
"merchant": "cus_hkdmgcfzjhhmn1t6osi",
"status": "REQUIRES_PAYMENT_METHOD",
"occurred_at": "2026-10-09T09:20:44.000Z",
"reference": "fcd0378d-1716-4aee-81c8-75eb65ea50e8",
"raw": {
"id": "int_sgpvtbx4fhn1p15nm2a_154yrh",
"amount": 0,
"status": "REQUIRES_PAYMENT_METHOD",
"currency": "AUD",
"customer_id": "cus_hkdmgcfzjhhmn1t6osi",
"merchant_order_id": "fcd0378d-1716-4aee-81c8-75eb65ea50e8"
}
}
]
},
"summary": {
"all": 357,
"credit": 328,
"debit": 29
},
"pagination": {
"current_page": 1,
"page_size": 10,
"total_count": 357,
"total_pages": 36
}
}
Headers
string
required
Target API version (e.g.
1.2).Path Parameters
string
required
The unique client UUID of the connected account (e.g.
4407c3ba-10c9-4822-9f51-c2c96692f8d7).Query Parameters
string
ISO 8601 UTC timestamp to retrieve transactions posted on or after this date (e.g.
2026-10-02T00:00:00Z).string
ISO 8601 UTC timestamp to retrieve transactions posted on or before this date (e.g.
2026-10-08T00:00:00Z).number
Number of transaction records to return per page (default is
10).number
Page number to retrieve for pagination (default is
1).Response Body
boolean
Indicates whether the transaction query succeeded (
true).string
Descriptive message of the query outcome.
object
Wrapper object containing the array of transaction records.
array of objects
Chronological list of financial transactions executed on the connected account.
number
Unique internal ID of the transaction record.
string
Flow of funds:
credit (incoming) or debit (outgoing).string
Formatted monetary amount of the transaction (e.g.
"-440.00", "500000.00").string
Transaction rail type:
TRANSFER, LOCAL, CARD_PAYMENT, etc.string
Three-letter ISO currency code (e.g.
AUD).string
Name of the merchant, beneficiary, or counterparty entity.
string
Settlement status:
SETTLED, PROCESSING, REQUIRES_PAYMENT_METHOD, etc.string
ISO 8601 UTC timestamp when the transaction was initiated or processed.
string
Reference note or remittance information attached to the transfer.
object
Complete raw settlement payload including balance snapshots, fees, and provider routing details.
object
Aggregate transaction statistics across the entire filtered period.
number
Total number of transactions matching the date range.
number
Total number of incoming credit transactions.
number
Total number of outgoing debit transactions.
object
Pagination metadata including
currentPage, pageSize, totalCount, and totalPages.Response Codes
| Code | Description |
|---|---|
| 200 | Transactions retrieved successfully. |
| 401 | Unauthorized. Missing, expired, or invalid partner Bearer token. |
| 404 | Not Found. Connected account with the provided myGigsterId does not exist. |
| 500 | Internal Server Error. |
curl -X GET https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10 \
-H "Authorization: Bearer <accessToken>" \
-H "X-API-Version: 1.2"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10", {
method: "GET",
headers: {
Authorization: "Bearer <accessToken>",
"X-API-Version": "1.2",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10",
headers={
"Authorization": "Bearer <accessToken>",
"X-API-Version": "1.2",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <accessToken>"
request["X-API-Version"] = "1.2"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <accessToken>",
"X-API-Version: 1.2",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10"))
.header("Authorization", "Bearer <accessToken>")
.header("X-API-Version", "1.2")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <accessToken>")
req.Header.Set("X-API-Version", "1.2")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/connected-account/4407c3ba-10c9-4822-9f51-c2c96692f8d7/transactions?from_post_at=2026-10-02T00%3A00%3A00Z&to_post_at=2026-10-08T00%3A00%3A00Z&page_size=10");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<accessToken>");
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"success": true,
"message": "Transactions fetched successfully!",
"data": {
"transactions": [
{
"id": 10118,
"source": "airwallex",
"source_id": "DR_tr_hUv3yYgNM2O2mY-Qx54yYg",
"direction": "debit",
"amount": "-440.00",
"captured_amount": null,
"type": "TRANSFER",
"currency": "AUD",
"merchant": "ALLIED HEALTH",
"status": "SETTLED",
"occurred_at": "2026-10-14T05:07:00.000Z",
"reference": "Transfer from ALLIED HEALTH LOCUMS PTY LTD(acct_m2lZXceGPsqQBhUbVV_oPA)",
"raw": {
"id": "01a138ce-83a3-7187-83cd-1f1f6bca7220",
"fee": 0,
"amount": -440,
"source": "tr_hUv3yYgNM2O2mY-Qx54yYg",
"balance": 1673958.22,
"currency": "AUD",
"posted_at": "2026-10-14T13:07:00+0800",
"description": "Transfer from ALLIED HEALTH LOCUMS PTY LTD(acct_m2lZXceGPsqQBhUbVV_oPA)",
"source_type": "TRANSFER",
"account_type": "cash",
"transaction_type": "DC_DEBIT"
}
},
{
"id": 9779,
"source": "airwallex",
"source_id": "5bbc2c03-9794-459c-8e24-a3e3607cf00a",
"direction": "debit",
"amount": "500000.00",
"captured_amount": null,
"type": "LOCAL",
"currency": "AUD",
"merchant": "Jane Smith",
"status": "PROCESSING",
"occurred_at": "2026-10-09T11:38:28.000Z",
"reference": "test",
"raw": {
"id": "5bbc2c03-9794-459c-8e24-a3e3607cf00a",
"payer": {
"address": {
"city": "Melbourne",
"state": "VIC",
"postcode": "6001",
"country_code": "AU",
"street_address": "123, Melbourne"
},
"entity_type": "COMPANY",
"company_name": "MEGAMIND CREATIONS AUSTRALIA PTY LTD"
},
"status": "PROCESSING",
"funding": {
"status": "FUNDED"
},
"reference": "test",
"created_at": "2026-10-09T11:38:28+0000",
"beneficiary": {
"entity_type": "PERSONAL",
"bank_details": {
"bank_name": "Commonwealth Bank of Australia",
"account_name": "Jane Smith",
"account_number": "12345678",
"account_currency": "AUD",
"bank_country_code": "AU",
"account_routing_type1": "bsb",
"local_clearing_system": "BANK_TRANSFER",
"account_routing_value1": "065163"
}
},
"source_amount": 500000,
"source_currency": "AUD",
"transfer_amount": 500000,
"transfer_method": "LOCAL",
"transfer_currency": "AUD",
"amount_beneficiary_receives": 500000
}
},
{
"id": 9773,
"source": "airwallex",
"source_id": "int_sgpvtbx4fhn1p15nm2a_154yrh",
"direction": "credit",
"amount": "0.00",
"captured_amount": null,
"type": "CARD_PAYMENT",
"currency": "AUD",
"merchant": "cus_hkdmgcfzjhhmn1t6osi",
"status": "REQUIRES_PAYMENT_METHOD",
"occurred_at": "2026-10-09T09:20:44.000Z",
"reference": "fcd0378d-1716-4aee-81c8-75eb65ea50e8",
"raw": {
"id": "int_sgpvtbx4fhn1p15nm2a_154yrh",
"amount": 0,
"status": "REQUIRES_PAYMENT_METHOD",
"currency": "AUD",
"customer_id": "cus_hkdmgcfzjhhmn1t6osi",
"merchant_order_id": "fcd0378d-1716-4aee-81c8-75eb65ea50e8"
}
}
]
},
"summary": {
"all": 357,
"credit": 328,
"debit": 29
},
"pagination": {
"current_page": 1,
"page_size": 10,
"total_count": 357,
"total_pages": 36
}
}
Last modified on November 10, 2026
Was this page helpful?
